/* Общие стили для body и html */
body, html {
  width: 100%;
  height: 100vh;
  margin: 0;
  padding: 0;
  border: 0px none;
  position: relative;
  overflow: hidden; /* Убираем скроллбар */
}

/* Контейнер Unity */
#unity-container {
  position: absolute;
  width: 100%;
  height: 100%;
}

/* Стили для десктопа */
#unity-container.unity-desktop {
  height: 100%;
  margin: 0px;
  padding: 0px;
  border: 0px;
  position: relative;
}

/* Стили для мобильных устройств */
#unity-container.unity-mobile {
  width: 100%;
  height: 100%;
}

/* Canvas с фоновым изображением */
#unity-canvas {
  background-image: url("background.jpg");
  height: 100%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

/* Для мобильных устройств */
.unity-mobile #unity-canvas {
  width: 100%;
  height: 100%;
}

/* Загрузочный бар */
#unity-loading-bar {
  position: absolute;
  left: 50%;
  top: 86%;
  transform: translateX(-50%);
  display: none;
  width: 90%; /* Задаем ширину в процентах для адаптивности */
  max-width: 535px; /* Максимальная ширина для больших экранов */
}

/* Прогресс-информация */
#unity-progress-info {
  position: absolute;
  left: 50%;
  top: 100%;
  transform: translateX(-50%);
  color: white;
  font-family: sans-serif;
  font-weight: bold;
  text-align: center;
  font-size: 14px;
  line-height: 20px;
}

#unity-progress-info div + div {
  margin-top: 6px;
  font-size: 12px;
  line-height: 18px;
}

/* Footer */
#unity-footer {
  position: relative;
}

.unity-mobile #unity-footer {
  display: none;
}

/* Логотип WebGL */
#unity-webgl-logo {
  float: left;
  width: 204px;
  height: 38px;
  background: url('webgl-logo.png') no-repeat center;
}

/* Заголовок сборки */
#unity-build-title {
  float: right;
  margin-right: 10px;
  line-height: 38px;
  font-family: arial;
  font-size: 18px;
}

/* Кнопка полноэкранного режима */
#unity-fullscreen-button {
  float: right;
  width: 38px;
  height: 38px;
  background: url('fullscreen-button.png') no-repeat center;
}

/* Предупреждение */
#unity-warning {
  position: absolute;
  left: 50%;
  top: 5%;
  transform: translate(-50%);
  background: white;
  padding: 10px;
  display: none;
}
/* Адаптивность для мобильных устройств */
@media (max-width: 768px) {
  #unity-progress-bar-full {
    height: 40px; /* Уменьшаем высоту для маленьких экранов */
  }

  #unity-progress-info {
    font-size: 12px;
    line-height: 16px;
  }
}
